[epiphany] Update autogen.sh to latest example



commit ddf6de69c5e815aaa5064432000a4f521f63144c
Author: Michael Catanzaro <mcatanzaro igalia com>
Date:   Sat Aug 22 10:37:56 2015 -0500

    Update autogen.sh to latest example
    
    Adds support of out-of-tree builds. Also, set +-x have become too
    unwieldy and are removed.

 autogen.sh |   26 ++++++++++++++------------
 1 files changed, 14 insertions(+), 12 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 2f4d7e6..ee6c0e0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,32 +1,34 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-(test -f $srcdir/configure.ac) || {
-        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
         exit 1
 }
 
-PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
 
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
-        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
-        echo "If you wish to pass any to it, please specify them on the" >&2
-        echo \`$0\'" command line." >&2
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
         echo "" >&2
 fi
 
-set -x
 aclocal --install || exit 1
 intltoolize --force --copy --automake || exit 1
 autoreconf --verbose --force --install -Wno-portability || exit 1
-{ set +x; } 2>/dev/null
+
+cd $olddir
 
 if [ "$NOCONFIGURE" = "" ]; then
-        set -x
         $srcdir/configure "$@" || exit 1
-        { set +x; } 2>/dev/null
 
         if [ "$1" = "--help" ]; then exit 0 else
                 echo "Now type \`make\' to compile $PKG_NAME" || exit 1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]